# $Header: $

EAPI="7"
DESCRIPTION="Drawing flags with TikZ, by Wilhelm Haager"
HOMEPAGE="https://www.ctan.org/pkg/worldflags"
SRC_URI="https://mirrors.ctan.org/graphics/pgf/contrib/worldflags.zip -> ${P}.zip"
LICENSE="lppl-1-3"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos"
SLOT="0"
DEPEND="app-text/texlive
	app-arch/unzip"

src_unpack() {
	if [[ -n ${A} ]]; then
		unpack ${A}
		mv ${PN} ${P}
	fi
}

src_install() {
	dodoc README doc/${PN}.pdf doc/${PN}.tex

	insinto /usr/share/texmf-dist/tex/${PN}
	doins tex/${PN}.sty
	doins tex/*.tex
	doins tex/*.pdf
}

pkg_postinst() {
	texhash
}

pkg_postrm() {
	texhash
}
